/*  使用する定数  */

#define   STARTY      1994
#define   ENDY        2150
#define   DATA_MAX    130    /*  csvファイル1行あたりデータ個数の上限  */
#define   BUFFER_MAX  31     /*  1データ中の文字数の上限＋１  */

/*  main関数  */
 void zero(void) ;
 void cntl(void) ;
 void readdata(void) ;
 void setjinko(void) ;

 void simlroud(void) ;
 void hiyousya(void) ;
 void simlkyos(void) ;
 void simlkyos_1_kok(void) ;
 void simlkyos_1_ren(void) ;
 void simlkyos_1_sig(void) ;
 void simlkyos_2_kok(void) ;
 void simlkyos_2_ren(void) ;
 void simlkyos_2_sig(void) ;
 void simlkyos_3_sig(void) ;
 void simlqkyos(void) ;
 void simlkou(void) ;
 void simlichisan(void) ;
 void simlpart(void) ;
 void simlpart_4(void) ;
 void fout(void) ;
 void roudfout(void) ;
 void cutout(void) ;

/*  基本算術関数、csvデータ読み込み関数  */
 double raund( double a, int b);  /*  stdfm.c で定義  */
 double min( double a, double b); /*  stdfm.c で定義  */
 double max( double a, double b); /*  stdfm.c で定義  */
 int read_csv(double buffer[], FILE *fp, int *data_number_ptr); /*  stdfm.c で定義  */
 void karayomi( FILE *fp ); /*  stdfm.c で定義  */
 void read_map( FILE *fp, int nendo); /*  被保険者マップ読み込み readdata.cで定義  */
 void read_roud( FILE *fp, int ynendo1, int ynendo2 ); /*  労働力率ファイル等読み込み readdata.cで定義  */
 void readkyos_1( int seido, int KYOREQB );  /*  共済データ読み込み readkyos.cで定義  */
 void readkyos_2( int seido, int nendo );  /*  共済データ基礎率読み込み readkyos.cで定義  */
 void readkyos_3( int seido, int JIN );  /*  共済データakyos読み込み readkyos.cで定義  */


